Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.enterprise.control
Class RPCWebEvent

    java.lang.Object
      java.util.EventObject
          org.deegree.enterprise.control.WebEvent
              org.deegree.enterprise.control.RPCWebEvent

All Implemented Interfaces:
  Serializable, FormEvent

    public class RPCWebEvent

extends WebEvent

Author:
  Administrator
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`RPCWebEvent(FormEvent parent, RPCMethodCall mc)` Creates a new instance of RPCWebEvent
`RPCWebEvent(javax.servlet.http.HttpServletRequest request)` Creates a new instance of RPCWebEvent
`RPCWebEvent(javax.servlet.http.HttpServletRequest request, RPCMethodCall mc)` Creates a new instance of RPCWebEvent

Method Summary
`RPCMethodCall` | `getRPCMethodCall()` returns the the RPC methodcall extracted from the `HttpServletRequest` passed to the first constructor.

Methods inherited from class org.deegree.enterprise.control.WebEvent
`getDocumentPath, getParameter, getRequestUser, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.deegree.enterprise.control.FormEvent
`getSource`

Constructor Detail

### RPCWebEvent

    public RPCWebEvent(javax.servlet.http.HttpServletRequest request)

  Creates a new instance of RPCWebEvent

### RPCWebEvent

    public RPCWebEvent(javax.servlet.http.HttpServletRequest request,
                       RPCMethodCall mc)

  Creates a new instance of RPCWebEvent

### RPCWebEvent

    public RPCWebEvent(FormEvent parent,
                       RPCMethodCall mc)

  Creates a new instance of RPCWebEvent

Method Detail

### getRPCMethodCall

    public RPCMethodCall getRPCMethodCall()

  returns the the RPC methodcall extracted from the `HttpServletRequest` passed to the first constructor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org